Subject: Independent Series Editor Review

From: "IAB Chair" <[email-masked]>
Date: Thu, 1 Dec 2011 21:10:07 -0500

Colleagues,

Under the RFC Editor model (RFC5620) the IAB periodically reviews the
performance of the Independent Series Editor (ISE), currently Nevil
Brownlee.

If you have any feedback on the performance of the ISE, please send email to
the IAB chair <[email-masked]>  before December 10, 2011. Your feedback
will be shared with the voting members of the IAB and treated
confidentially.

For the IAB, 

Bernard Aboba

IAB Chair